OpenVDB: DiscreteField< VelGridT, Interpolator > Class Template Reference

OpenVDB 6.1.0

Public Types | Public Member Functions | List of all members
DiscreteField< VelGridT, Interpolator > Class Template Reference

Thin wrapper class for a velocity grid. More...

`#include <VelocityFields.h>`

## Public Types
typedef VelGridT::ValueType | VectorType
typedef VectorType::ValueType | ValueType

## Public Member Functions
| BOOST_STATIC_ASSERT (boost::is_floating_point< ValueType >::value)
| DiscreteField (const VelGridT &vel)
| DiscreteField (const DiscreteField &other)
| Copy constructor. More...
const math::Transform & | transform () const
VectorType | operator() (const Vec3d &xyz, ValueType) const
VectorType | operator() (const Coord &ijk, ValueType) const

## Detailed Description

### template<typename VelGridT, typename Interpolator = BoxSampler>
class openvdb::v6_1::tools::DiscreteField< VelGridT, Interpolator >

Thin wrapper class for a velocity grid.

Note
  Consider replacing BoxSampler with StaggeredBoxSampler

## Member Typedef Documentation

## ◆ ValueType

typedef VectorType::ValueType ValueType

## ◆ VectorType

typedef VelGridT::ValueType VectorType

## Constructor & Destructor Documentation

## ◆ DiscreteField() [1/2]

DiscreteField | ( | const VelGridT & | vel | ) |
| inline

## ◆ DiscreteField() [2/2]

DiscreteField | ( | const DiscreteField< VelGridT, Interpolator > & | other | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ BOOST_STATIC_ASSERT()

BOOST_STATIC_ASSERT | ( | boost::is_floating_point< ValueType >::value |  | ) |

## ◆ operator()() [1/2]

VectorType operator() | ( | const Vec3d & | xyz,
|  | ValueType |
| ) |  | const
| inline

Returns
  the interpolated velocity at the world space position xyz

Warning
  Not threadsafe since it uses a ValueAccessor! So use one instance per thread (which is fine since its lightweight).

## ◆ operator()() [2/2]

VectorType operator() | ( | const Coord & | ijk,
|  | ValueType |
| ) |  | const
| inline

Returns
  the velocity at the coordinate space position ijk

Warning
  Not threadsafe since it uses a ValueAccessor! So use one instance per thread (which is fine since its lightweight).

## ◆ transform()

const math::Transform& transform | ( |  | ) | const
| inline

Returns
  const reference to the transform between world and index space

Note
  Use this method to determine if a client grid is aligned with the coordinate space of the velocity grid.

The documentation for this class was generated from the following file:

- VelocityFields.h